.card {
  position: relative;
  width: calc(750px / 4);
  height: calc(750px / 4);
  margin: 10px;
  transition: all 0.3s ease;
  cursor: pointer;
}

.card:hover {
  opacity: 0.7;
}

.card .item-image-container {
  position: relative;
  width: inherit;
  height: inherit;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 2px solid var(--text-color);
  border-radius: 5px;
  overflow: hidden;
}

.card .total-modify-amount {
  position: absolute;
  width: 100%;
  top: 0;
  left: 0;
  text-align: center;
  background-color: var(--text-color);
  color: var(--bg-color);
  padding-bottom: 3px;
}

.card .item-image-container .quantity {
  position: absolute;
  bottom: 0;
  right: 0;
  transform: translateX(-100%);
}

.svg-icon {
  margin-top: 25px;
}

.item-description-modal {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--bg-color);
  width: 200px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  border-radius: 5px;
}

.description-container {
  padding: 5px 10px;
}

.description-container h3 {
  text-align: center;
  margin-bottom: 10px;
  filter: drop-shadow(2px 2px 1px rgba(0, 0, 0, 0.3));
}

.description-container p {
  text-align: center;
}
